﻿// Pre aliasy
druhSubjektu = '';

var ident;
var stringBuilder;

function encodeXML(value) {
    if (value) {
		if (value.indexOf('\n') > -1 || value.indexOf('\\') > -1 || value.indexOf('"') > -1 || value.indexOf('\u00a0') > -1 || value.indexOf('&nbsp;') > -1 || value.indexOf('&') > -1) {
		  value = '<![CDATA[' + value + ']]>';
		}
		else {
			value = $('<div/>').text(value).html();
		}
    }
    return value;
}

function decodeXML(value) {
    if (value) {
        if (value.indexOf('<![CDATA[') > -1) {
		  value = value.replace("<![CDATA[", "").replace("]]>", "");
		}
    }
    return value;
}

function createxmlfinal() {
    stringBuilder = new $.StringBuilder();
    stringBuilder.appendLine('<?xml version="1.0" encoding="UTF-8"?>');
    stringBuilder.appendLine('<dokument xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="OZN4313v17.xsd">');

    ident = 1;
    stringBuilder.appendLine(AddSectionIdent('<hlavicka>'));
    ident = 2;
    stringBuilder.append(getElement('dic', true));

    stringBuilder.appendLine(AddSectionIdent('<zaObdobie>'));
    ident = 3;
    stringBuilder.append(getElement('rok', true, 'zaRok'));
    ident = 2;
    stringBuilder.appendLine(AddSectionIdent('</zaObdobie>'));

    stringBuilder.append(getElement('doplnenie', true, 'chbNeuplneUdaje'));
    
    stringBuilder.appendLine(AddSectionIdent('<fyzickaOsoba>'));
    ident = 3;
    stringBuilder.append(getElement('priezvisko', true, 'fyzickaPriezvisko'));
    stringBuilder.append(getElement('meno', true, 'fyzickaMeno'));
    stringBuilder.append(getElement('titulPred', true, 'fyzickaTitulPred'));
    stringBuilder.append(getElement('titulZa', true, 'fyzickaTitulZa'));
    ident = 2;
    stringBuilder.appendLine(AddSectionIdent('</fyzickaOsoba>'));

    stringBuilder.appendLine(AddSectionIdent('<pravnickaOsoba>'));
    ident = 3;
    stringBuilder.appendLine(AddSectionIdent('<obchodneMeno>'));

    var meno = divideRows(3, 'pravnickaOsoba');
    ident = 4;

    stringBuilder.appendLine(AddSectionIdent('<riadok>' + encodeXML(meno[0]) + '</riadok>'));
    stringBuilder.appendLine(AddSectionIdent('<riadok>' + encodeXML(meno[1]) + '</riadok>'));
    stringBuilder.appendLine(AddSectionIdent('<riadok>' + encodeXML(meno[2].substr(0, 37)) + '</riadok>'));

    ident = 3;
    stringBuilder.appendLine(AddSectionIdent('</obchodneMeno>'));
    ident = 2;
    stringBuilder.appendLine(AddSectionIdent('</pravnickaOsoba>'));

    stringBuilder.appendLine(AddSectionIdent('<sidlo>'));
    ident = 3;
    stringBuilder.append(getElement('ulica', true));
    stringBuilder.append(getElement('supisneOrientacneCislo', true, 'adresaCislo'));
    stringBuilder.append(getElement('psc', true));
    stringBuilder.append(getElement('obec', true));
    ident = 2;
    stringBuilder.appendLine(AddSectionIdent('</sidlo>'));

    stringBuilder.appendLine(AddSectionIdent('<suhrnneUdaje>'));
    ident = 3;
    stringBuilder.append(GetSKDateElement('datum', true, 'SuhrneDatum'));
    stringBuilder.append(getElement('suma', true, 'SuhrneSuma'));
    ident = 2;
    stringBuilder.appendLine(AddSectionIdent('</suhrnneUdaje>'));

    stringBuilder.appendLine(AddSectionIdent('<vypracoval>'));
    ident = 3;
    stringBuilder.append(getElement('vypracoval', true, 'vypracoval_osoba'));
    stringBuilder.append(GetSKDateElement('dna', true, 'vypracoval_datum'));
    stringBuilder.append(getElement('telefon', true, 'vypracoval_telefon'));
    stringBuilder.appendLine(AddSectionIdent('<podpis>1</podpis>'));
    ident = 2;
    stringBuilder.appendLine(AddSectionIdent('</vypracoval>'));

    ident = 1;
    stringBuilder.appendLine(AddSectionIdent('</hlavicka>'));

    stringBuilder.appendLine('</dokument>');

    return stringBuilder.string();
}

function RemoveEmptySection(xml) {
    lines = xml.split('\r\n');
    var i = 0;

    while (i < lines.length - 1) {
        if (lines[i].substr(1, 1) != '/' && lines[i + 1].substr(1, 1) == '/') {
            if (lines[i].substr(1) == lines[i + 1].substr(2)) {
                lines.splice(i, 2);
                i = -1;
            }
        }

        i++;
    }

    newStringBuilder = new $.StringBuilder();

    for (i = 0; i < lines.length; i++) {
        newStringBuilder.appendLine(lines[i]);
    }

    return newStringBuilder.string();
}

function AddIdent() {
    var xmlIdent = '';

    if (!isNaN(ident)) {
        for (var i = 0; i < ident; i++) {
            xmlIdent += '\t';
        }
    }

    return xmlIdent;
}

function AddSectionIdent(sectionName) {
    return AddIdent() + sectionName;
}

function GetSKDateElement(xmlId, generateEmptyElement, id) {
    generateEmptyElement = typeof generateEmptyElement !== 'undefined' ? generateEmptyElement : false;
    id = typeof id !== 'undefined' ? id : xmlId;
    var element = $('#' + id);
    var xmlElement = '';

    if (generateEmptyElement)
        xmlElement = AddIdent() + '<' + xmlId + '></' + xmlId + '>\r\n';

    if (element.val() != '')
        xmlElement = AddIdent() + '<' + xmlId + '>' + encodeXML(element.val()) + '</' + xmlId + '>\r\n';

    return xmlElement;
}

function getTextElement(xmlId, generateEmptyElement, id) {
    var element = $('#' + id);
    var xmlElement = '';

    if (generateEmptyElement)
        xmlElement = AddIdent() + '<' + xmlId + '></' + xmlId + '>\r\n';

    if (element.val() != undefined && element.val() != '')
        xmlElement = AddIdent() + '<' + xmlId + '>' + encodeXML(element.val()) + '</' + xmlId + '>\r\n';

    return xmlElement;
}

function getComboboxElement(xmlId, generateEmptyElement, id) {
    var cB = document.getElementById(id);
    var xmlElement = '';

    if (generateEmptyElement)
        xmlElement = AddIdent() + '<' + xmlId + '></' + xmlId + '>\r\n';
    //xmlElement = AddIdent() + '<' + xmlId + ' xsi:nil="true"></' + xmlId + '>\r\n';

    if (cB != undefined && cB.value != '')
        xmlElement = AddIdent() + '<' + xmlId + '>' + encodeXML(cB.value) + '</' + xmlId + '>\r\n';

    return xmlElement;
}

function getRadioButtonElement(xmlId, generateEmptyElement, name) {
    var rB = $('input[name="' + name + '"]');
    var xmlElement = '';

    if (generateEmptyElement)
        xmlElement = AddIdent() + '<' + xmlId + '></' + xmlId + '>\r\n';

    if (rB != undefined) {
        var i = rB.length - 1;

        while (i > 0 && !rB.eq(i).attr("checked")) {
            i--;
        }

        if (rB.eq(i).attr("checked"))
            xmlElement = AddIdent() + '<' + xmlId + '>' + i + '</' + xmlId + '>\r\n';
    }

    return xmlElement;
}

function getCheckboxElement(xmlId, id) {
    var element = $('#' + id);
    var xmlElement = AddIdent() + '<' + xmlId + '>' + (element.attr("checked") ? 1 : 0) + '</' + xmlId + '>\r\n';

    return xmlElement;
}

function getDateElement(xmlId, generateEmptyElement, id) {
    var element = $('#' + id);
    var xmlElement = '';

    if (generateEmptyElement)
        xmlElement = AddIdent() + '<' + xmlId + '></' + xmlId + '>\r\n';

    if (element.val() != '')
        xmlElement = AddIdent() + '<' + xmlId + '>' + encodeXML(xmlHelper.toXmlDate(element.val())) + '</' + xmlId + '>\r\n';

    return xmlElement;
}

function getElement(xmlId, generateEmptyElement, id) {
    generateEmptyElement = typeof generateEmptyElement !== 'undefined' ? generateEmptyElement : false;
    id = typeof id !== 'undefined' ? id : xmlId;

    var element = $('#' + id);
    var rB = $('input[name="' + id + '"]');

    if (rB.is(':radio')) {
        return getRadioButtonElement(xmlId, generateEmptyElement, id);
    }
    else if (element.is(':checkbox')) {
        return getCheckboxElement(xmlId, id);
    }
    else if (element.hasClass('comboBox')) {
        return getComboboxElement(xmlId, generateEmptyElement, id);
    }
    else if (element.hasClass('date')) {
        return getDateElement(xmlId, generateEmptyElement, id);
    }
    else {
        return getTextElement(xmlId, generateEmptyElement, id);
    }
}


//**************************************************


var xmlDoc;
var txt;

function loadxmlfinal(zxml) {
    txt = zxml;
    if (window.DOMParser) {
        parser = new DOMParser();
        xmlDoc = parser.parseFromString(txt, "text/xml");
    }
    else // Internet Explorer
    {
        xmlDoc = new ActiveXObject("Microsoft.XMLDOM");
        xmlDoc.async = false;
        xmlDoc.loadXML(txt);
    }

    var doc = xmlDoc.getElementsByTagName('dokument')[0];
    
    if (doc) {
        var hlavicka = doc.getElementsByTagName('hlavicka')[0];
        
        if (hlavicka) {
            setElementVal(hlavicka, 'dic');

            var zaObdobie = hlavicka.getElementsByTagName('zaObdobie')[0];

            if (zaObdobie) {
                setElementVal(zaObdobie, 'rok', 'zaRok');
            }

            setElementVal(hlavicka, 'doplnenie', 'chbNeuplneUdaje');

            var fyzickaOsoba = hlavicka.getElementsByTagName('fyzickaOsoba')[0];

            if (fyzickaOsoba) {
                setElementVal(fyzickaOsoba, 'priezvisko', 'fyzickaPriezvisko');
                setElementVal(fyzickaOsoba, 'meno', 'fyzickaMeno');
                setElementVal(fyzickaOsoba, 'titulPred', 'fyzickaTitulPred');
                setElementVal(fyzickaOsoba, 'titulZa', 'fyzickaTitulZa');
            }

            var pravnickaOsoba = hlavicka.getElementsByTagName('pravnickaOsoba')[0];

            if (pravnickaOsoba) {
                var obchodneMeno = pravnickaOsoba.getElementsByTagName('obchodneMeno')[0];

                if (obchodneMeno) {
                    var riadok1 = obchodneMeno.getElementsByTagName('riadok')[0];
                    var riadok2 = obchodneMeno.getElementsByTagName('riadok')[1];
                    var riadok3 = obchodneMeno.getElementsByTagName('riadok')[2];
                    var obchodneMenoTextArea = $('#pravnickaOsoba');

                    if (obchodneMenoTextArea.length > 0) {
                        if (riadok1) {
                            var riadokVal = getElementsValXml(riadok1);

                            if (riadokVal != '')
                                obchodneMenoTextArea.val(riadokVal);
                        }

                        if (riadok2) {
                            var riadokVal = getElementsValXml(riadok2);

                            if (riadokVal != '')
                                obchodneMenoTextArea.val(obchodneMenoTextArea.val() + '\r\n' + riadokVal);
                        }

                        if (riadok3) {
                            var riadokVal = getElementsValXml(riadok3);

                            if (riadokVal != '')
                                obchodneMenoTextArea.val(obchodneMenoTextArea.val() + '\r\n' + riadokVal);
                        }
                    }
                }
            }

            var sidlo = hlavicka.getElementsByTagName('sidlo')[0];

            if (sidlo) {
                setElementVal(sidlo, 'ulica');
                setElementVal(sidlo, 'supisneOrientacneCislo', 'adresaCislo');
                setElementVal(sidlo, 'psc');
                setElementVal(sidlo, 'obec');
            }

            var suhrnneUdaje = hlavicka.getElementsByTagName('suhrnneUdaje')[0];

            if (suhrnneUdaje) {
                setElementVal(suhrnneUdaje, 'datum', 'SuhrneDatum');
                setElementVal(suhrnneUdaje, 'suma', 'SuhrneSuma');
            }

            var vypracoval = hlavicka.getElementsByTagName('vypracoval')[0];

            if (vypracoval) {
                setElementVal(vypracoval, 'vypracoval', 'vypracoval_osoba');
                setElementVal(vypracoval, 'dna', 'vypracoval_datum');
                setElementVal(vypracoval, 'telefon', 'vypracoval_telefon');
            }
        }
    }
}

function getElementsValXml(element) {
    return decodeXML(element.textContent) || decodeXML(element.text) || '';
}

function setElementVal(parent, xmlName, elementName) {
    elementName = typeof elementName !== 'undefined' ? elementName : xmlName;

    var element = $('#' + elementName);
    var rB = $('input[name="' + elementName + '"]');
    var xmlElement;

    if (rB && rB.is(':radio')) {
        xmlElement = parent.getElementsByTagName(xmlName)[0];

        if (xmlElement) {
            var rBVal = getElementsValXml(xmlElement);

            if (rBVal == '')
                rB.attr('checked', false).change();
            else
                rB.eq(rBVal).attr('checked', true).change();
        }
    }
    else if (element.is(':checkbox')) {
        xmlElement = parent.getElementsByTagName(xmlName)[0];

        if (xmlElement)
            element.attr('checked', getElementsValXml(xmlElement) == 1 ? true : false).change();
    }
    else if (element.hasClass('comboBox')) {
        xmlElement = parent.getElementsByTagName(xmlName)[0];

        if (xmlElement) {
            element.val(decodeXML(getElementsValXml(xmlElement))).change();
        }
    }
    else if (element.hasClass('date')) {
        xmlElement = parent.getElementsByTagName(xmlName)[0];

        if (xmlElement)
            element.val(xmlHelper.fromXmlDate(decodeXML(getElementsValXml(xmlElement)))).change();
    }
    else {
        xmlElement = parent.getElementsByTagName(xmlName)[0];

        if (xmlElement)
            element.val(decodeXML(getElementsValXml(xmlElement))).change();
    }
}

function createfdf(segment, index) {
    isFdfUpper = true;

    var result = null;

    if (segment == 0 && index == 0) {
        result = createMainFdf();
    }
    /*
    if (segment == 1) {
        var fdfs = createNfdf();
        if (index < fdfs.length)
            result = fdfs[index];
    }
    */
    /*
    if(segment==2)
    {
    var fdfs = createN2fdf();
      if(index<fdfs.length)
          result = fdfs[index];
    }
    */

    return result;
}

function createMainFdf() {
    stringBuilder = new $.StringBuilder();
    stringBuilder.appendLine('%FDF-1.2');
    stringBuilder.appendLine('%%âăĎÓ');
    stringBuilder.appendLine('1 0 obj');
    stringBuilder.appendLine('<< /FDF ');
    stringBuilder.appendLine('  << /Fields [ ');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf('Tlačivo vytlačené z internetu') + ')/T (print)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#dic').val()) + ')/T (dic)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#zaRok').val().substr(2)) + ')/T (zr)>>');
    stringBuilder.appendLine('    << /V (' + ($('#chbNeuplneUdaje').attr("checked") ? "X" : "") + ')/T (doplnenie)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#fyzickaPriezvisko').val()) + ')/T (02)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#fyzickaMeno').val()) + ')/T (03)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#fyzickaTitulPred').val()) + ')/T (04a)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#fyzickaTitulZa').val()) + ')/T (04b)>>');

    if (!!$('#pravnickaOsoba').val()) {
        var row = divideRows(3, 'pravnickaOsoba');

        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(row[0], false) + ')/T (05a)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(row[1], false) + ')/T (05b)>>');
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(row[2], false) + ')/T (05c)>>');
    }

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#ulica').val()) + ')/T (06)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#adresaCislo').val()) + ')/T (07)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#psc').val()) + ')/T (08)>>');
    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#obec').val()) + ')/T (09)>>');

    var suhrnDate = $('#SuhrneDatum').val();

    if (!!suhrnDate) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(suhrnDate.split(".")[0]) + ')/T (10-den)>>');
    }
    else {
        stringBuilder.appendLine('    << /V ()/T (10-den)>>');
    }

    if (!!suhrnDate) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(suhrnDate.split(".")[1]) + ')/T (10-mes)>>');
    }
    else {
        stringBuilder.appendLine('    << /V ()/T (10-mes)>>');
    }

    if (!!suhrnDate) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(suhrnDate.split(".")[2].substr(2)) + ')/T (10-rok)>>');
    }
    else {
        stringBuilder.appendLine('    << /V ()/T (10-rok)>>');
    }

    stringBuilder.appendLine('    << /V (' + celacast($('#SuhrneSuma').val()) + ')/T (10)>>');
    stringBuilder.appendLine('    << /V (' + desatinnacast($('#SuhrneSuma').val()) + ')/T (10d)>>');

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#vypracoval_osoba').val()) + ')/T (vypracoval)>>');

    var vyprDate = $('#vypracoval_datum').val();

    if (!!vyprDate) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(vyprDate.split(".")[0]) + ')/T (vypracoval-den)>>');
    }
    else {
        stringBuilder.appendLine('    << /V ()/T (vypracoval-den)>>');
    }
    if (!!vyprDate) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(vyprDate.split(".")[1]) + ')/T (vypracoval-mes)>>');
    }
    else {
        stringBuilder.appendLine('    << /V ()/T (vypracoval-mes)>>');
    }
    if (!!vyprDate) {
        stringBuilder.appendLine('    << /V (' + prepisznakyFdf(vyprDate.split(".")[2].substr(2)) + ')/T (vypracoval-rok)>>');
    }
    else {
        stringBuilder.appendLine('    << /V ()/T (vypracoval-rok)>>');
    }

    stringBuilder.appendLine('    << /V (' + prepisznakyFdf($('#vypracoval_telefon').val()) + ')/T (vypracoval-tel)>>');

    stringBuilder.appendLine('    ] ');
    stringBuilder.appendLine('    /F (form.395.OZN4313-17-print-save.pdf)');
    stringBuilder.appendLine('    /ID [ <0f1c0c5013770170f4042d0f9bbdc064><67bbe03ad822ab86734fd4c8c191afa2>]');
    stringBuilder.appendLine('  >> ');
    stringBuilder.appendLine('>> ');
    stringBuilder.appendLine('endobj');
    stringBuilder.appendLine('trailer');
    stringBuilder.appendLine('<</Root 1 0 R >>');
    stringBuilder.appendLine('%%EOF');

    return stringBuilder.string();
}
