<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xml:lang="en" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:d = "http://docbook.org/ns/docbook" xmlns:xi="http://www.w3.org/2001/XInclude" xmlns:exsl="http://exslt.org/common"  exclude-result-prefixes="d" version="1.0">
  <xsl:template match="/">
    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">      
		<fo:layout-master-set>
    <fo:simple-page-master master-name="even"
      page-height="297mm" page-width="210mm"
      margin-top="20mm" margin-bottom="20mm"
      margin-left="25mm" margin-right="25mm">
      <fo:region-body margin-bottom="20mm"/>
      <fo:region-after region-name="footer-even" extent="10mm"/>
    </fo:simple-page-master>
    <fo:simple-page-master master-name="odd"
      page-height="297mm" page-width="210mm"
      margin-top="20mm" margin-bottom="20mm"
      margin-left="25mm" margin-right="25mm">
      <fo:region-body margin-bottom="20mm"/>
      <fo:region-after region-name="footer-odd" extent="10mm"/>
    </fo:simple-page-master>
    <fo:page-sequence-master master-name="document">
      <fo:repeatable-page-master-alternatives>
        <fo:conditional-page-master-reference odd-or-even="even"
          master-reference="even"/>
        <fo:conditional-page-master-reference odd-or-even="odd"
          master-reference="odd"/>
      </fo:repeatable-page-master-alternatives>
    </fo:page-sequence-master>
  </fo:layout-master-set>
  <fo:page-sequence master-reference="document" font-family="Arial">
    <fo:static-content flow-name="footer-even">
      <fo:block text-align="end"><fo:page-number/></fo:block>
    </fo:static-content>
    <fo:static-content flow-name="footer-odd">
      <fo:block text-align-last="end"><fo:page-number/></fo:block>
    </fo:static-content>
          <fo:flow flow-name="xsl-region-body">							     				
										<xsl:for-each select="/OZN4313v17/sekciaZahlavie">
    			
						<xsl:for-each select="/OZN4313v17/sekciaZahlavie/zahlavie">
    			
				<fo:block text-align='center' font-weight='bold'>OZNÁMENIE</fo:block><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./nazovForm">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>platiteľa dane podľa § 43 ods. 13 zákona č. 595/2003 Z. z. o dani z príjmov v znení neskorších predpisov   (ďalej len „zákon“) o zrazení a odvedení dane vyberanej zrážkou z príjmov podľa § 43 ods. 3 písm. g) zákona (ďalej len „oznámenie“)</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>Oznámenie sa podáva až po skončení príslušného kalendárneho roka a uvádzajú sa v ňom súhrnné údaje o zrazeneja odvedenej dani vyberanej zrážkou.</fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./SekciaPoznamka">
    			
				<fo:block>Oznámenie podľa  § 43 ods. 13 zákona podáva platiteľ dane 1) do konca kalendárneho mesiaca nasledujúceho po uplynutí kalendárneho roka, v ktorom boli tieto príjmy poukázané alebo pripísané v prospech účtu fondu prevádzky, údržby a opráv.</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/OZN4313v17/secSpolocna">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>Oznámenie podávam z dôvodu doplnenia neúplných, resp. opravy nesprávnych údajov uvedených v predchádzajúcom podanom oznámení 2)</fo:block></fo:table-cell><fo:table-cell>
<fo:block font-size='12pt'>
<xsl:choose>
<xsl:when test="/OZN4313v17/secSpolocna/chbNeuplneUdaje[text()='1']">
<fo:inline font-family='Wingdings'>&#253;</fo:inline>
</xsl:when>
<xsl:otherwise>
<fo:inline font-family='Wingdings'>&#168;</fo:inline>
</xsl:otherwise>
</xsl:choose>
</fo:block>
</fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>		<xsl:for-each select="./secPomocnaSekcia1">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>01 - Daňové identifikačné číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/secSpolocna/secPomocnaSekcia1/dic'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block font-size='10pt' hyphenate='true'><fo:inline color='white'>___</fo:inline>Za rok</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/secSpolocna/secPomocnaSekcia1/zaRok'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/OZN4313v17/sekciaUdajePlatitelDane">
    			<fo:block background-color='black' color='white'>Údaje o platiteľovi dane 1)</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./fyzosobasek">
    			<fo:block background-color='black' color='white'>Fyzická osoba</fo:block><fo:block color='white'>|</fo:block>
						<xsl:for-each select="./SekciaFOPomocna">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>02 - Priezvisko</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>03 - Meno</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>04 - Titul (pred menom)</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Titul (za priezviskom)</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna/fyzickaPriezvisko'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna/fyzickaMeno'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna/fyzickaTitulPred'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna/fyzickaTitulZa'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./pravoaleboinsek">
    			<fo:block background-color='black' color='white'>Právnická osoba</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>05 - Obchodné meno alebo názov</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block font-size='10pt'>Obchodné meno alebo názov</fo:block></fo:table-cell></fo:table-row>
                                        <fo:table-row height='100px'><fo:table-cell border-width='0.1mm' border-style='solid' background-color='white'><fo:block padding-left='1pt' hyphenate='true'><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/pravoaleboinsek/pravnickaOsoba'/></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./DPPO2012_DanovePriznanie_PO_9panel15">
    			<fo:block background-color='black' color='white'>Adresa trvalého pobytu (fyzická osoba) / Adresa sídla (právnická osoba)</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='46px'/><fo:table-column column-width='46px'/><fo:table-column column-width='31px'/><fo:table-column column-width='31px'/><fo:table-column column-width='37px'/><fo:table-column column-width='37px'/><fo:table-column column-width='43px'/><fo:table-column column-width='43px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>06 - Ulica</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>07 - Súpisné/orientačné číslo</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>08 - PSČ</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>09 - Obec</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15/ulica'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15/adresaCislo'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15/psc'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15/obec'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/OZN4313v17/SekciaAdresa2">
    			<fo:block background-color='black' color='white'>Súhrnné údaje o zrazenej a odvedenej dani vyberanej zrážkou</fo:block><fo:block color='white'>|</fo:block>
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>dátum</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>suma</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>10</fo:block></fo:table-cell><fo:table-cell><fo:block><fo:inline color='white'>___</fo:inline>Zrazená a odvedená daň 3)</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/SekciaAdresa2/SuhrneDatum'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/SekciaAdresa2/SuhrneSuma'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<xsl:for-each select="/OZN4313v17/vypracoval">
    			
						<xsl:for-each select="./vypracovalpomsek">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block font-size='10pt' hyphenate='true'>Vypracoval</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/vypracoval/vypracovalpomsek/vypracoval_osoba'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block font-size='10pt' hyphenate='true'><fo:inline color='white'>___</fo:inline>Dňa</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/vypracoval/vypracovalpomsek/vypracoval_datum'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell><fo:table-cell><fo:block font-size='10pt' hyphenate='true'><fo:inline color='white'>___</fo:inline>Telefónne číslo</fo:block></fo:table-cell><fo:table-cell  border-width='0.1mm' border-style='solid' background-color='white'><fo:block><xsl:value-of select='/OZN4313v17/vypracoval/vypracovalpomsek/vypracoval_telefon'/><fo:inline color='white'>___</fo:inline></fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
				<xsl:for-each select="./vyhlasujempomsek">
    			
				<fo:block color='white'>|</fo:block><fo:block font-weight='bold'>Vyhlasujem, že všetky údaje uvedené v oznámení sú správne a úplné.</fo:block><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
		
		</xsl:for-each>
			<xsl:for-each select="/OZN4313v17/Poznamky">
    			
				<fo:table table-layout='fixed' width='100%' border-collapse='separate'><fo:table-column column-width='15px'/><fo:table-column column-width='15px'/><fo:table-body><fo:table-row><fo:table-cell><fo:block>1) Platiteľom dane z príjmov uvedených v § 43 ods. 3 písm. g) zákona je spoločenstvo vlastníkov bytov a nebytových priestorov alebo fyzická osoba alebo právnická osoba, s ktorou vlastníci bytov a nebytových priestorov domu uzatvorili zmluvu o výkone správy.</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>2) Ak platiteľ dane zistí, že v oznámení podanom za príslušný kalendárny rok uviedol nesprávne alebo neúplné údaje, podá za tento kalendárny rok nové oznámenie, v ktorom uvedie všetky údaje a všetky sumy správne, pričom rozdiely oproti bezprostredne predchádzajúcemu podanému oznámeniu v tomto novom oznámení neuvádza. Skutočnosť, že oznámenie podáva z dôvodu opravy nesprávnych údajov alebo doplnenia chýbajúcich údajov vyznačí krížikom.</fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block><fo:inline color='white'>|</fo:inline></fo:block></fo:table-cell></fo:table-row><fo:table-row><fo:table-cell><fo:block>3) V prvom stĺpci sa uvedie dátum zrazenia a odvedenia dane a v druhom stĺpci sa uvedie úhrnná suma zrazenej a odvedenej dane z príjmov podľa § 43 ods. 3 písm. g) zákona, ktoré boli poukázané alebo pripísané v prospech účtu fondu prevádzky, údržby a opráv v kalendárnom roku, za ktorý sa predkladá oznámenie. Ak platiteľ odvádzal daň vo viacerých termínoch, uvedie sa dátum posledného odvodu dane za príslušný kalendárny rok. Suma dane sa zaokrúhľuje na eurocenty nadol.</fo:block></fo:table-cell></fo:table-row></fo:table-body>                                        
                                  </fo:table><fo:block color='white'>|</fo:block>
		</xsl:for-each>
			<fo:block background-color='white' color='white'>.</fo:block>
						

			</fo:flow>
           </fo:page-sequence>
          </fo:root>
         </xsl:template>
        </xsl:stylesheet>
