<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>OZN4313v17 - Oznamenie 43 ods 13</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/OZN4313v17">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">OZN4313v17</div>
</div>
<xsl:for-each select="/OZN4313v17/sekciaZahlavie">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Záhlavie</div>
</div>
<xsl:if test="/OZN4313v17/sekciaZahlavie/zahlavie/text()"><div><label class="labelVis">zahlavie: </label><span class="contentVis wordwrap"><xsl:value-of select="./zahlavie"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/sekciaZahlavie/nazovForm/text()"><div><label class="labelVis">nazovForm: </label><span class="contentVis wordwrap"><xsl:value-of select="./nazovForm"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/sekciaZahlavie/SekciaPoznamka/text()"><div><label class="labelVis">SekciaPoznamka: </label><span class="contentVis wordwrap"><xsl:value-of select="./SekciaPoznamka"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN4313v17/secSpolocna">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Spoločná sekcia</div>
</div>
<xsl:for-each select="/OZN4313v17/secSpolocna/secPomocnaSekcia1">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Pomocná sekcia 1</div>
</div>
<xsl:if test="/OZN4313v17/secSpolocna/secPomocnaSekcia1/dic/text()"><div><label class="labelVis">01 - Daňové identifikačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./dic"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/secSpolocna/secPomocnaSekcia1/zaRok/text()"><div><label class="labelVis">Za rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./zaRok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/OZN4313v17/secSpolocna/chbNeuplneUdaje/text()"><div><label class="labelVis">Oznámenie podávam z dôvodu doplnenia neúplných, resp. opravy nesprávnych údajov uvedených v predchádzajúcom podanom oznámení 2): </label><span class="contentVis wordwrap"><xsl:value-of select="./chbNeuplneUdaje"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN4313v17/sekciaUdajePlatitelDane">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Údaje o platiteľovi dane 1)</div>
</div>
<xsl:for-each select="/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Fyzická osoba</div>
</div>
<xsl:for-each select="/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">SekciaFOPomocna</div>
</div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna/fyzickaPriezvisko/text()"><div><label class="labelVis">Priezvisko: </label><span class="contentVis wordwrap"><xsl:value-of select="./fyzickaPriezvisko"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna/fyzickaMeno/text()"><div><label class="labelVis">Meno: </label><span class="contentVis wordwrap"><xsl:value-of select="./fyzickaMeno"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna/fyzickaTitulPred/text()"><div><label class="labelVis">Titul (pred menom): </label><span class="contentVis wordwrap"><xsl:value-of select="./fyzickaTitulPred"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/fyzosobasek/SekciaFOPomocna/fyzickaTitulZa/text()"><div><label class="labelVis">Titul (za menom): </label><span class="contentVis wordwrap"><xsl:value-of select="./fyzickaTitulZa"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN4313v17/sekciaUdajePlatitelDane/pravoaleboinsek">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Právnická osoba</div>
</div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/pravoaleboinsek/pravnickaOsoba/text()"><div><label class="labelVis">Obchodné meno alebo názov: </label><span class="contentVis wordwrap"><xsl:value-of select="./pravnickaOsoba"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Adresa trvalého pobytu (fyzická osoba) / Adresa sídla (právnická osoba)</div>
</div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15/ulica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./ulica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15/adresaCislo/text()"><div><label class="labelVis">Súpisné/orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./adresaCislo"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15/psc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./psc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/sekciaUdajePlatitelDane/DPPO2012_DanovePriznanie_PO_9panel15/obec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./obec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN4313v17/SekciaAdresa2">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Súhrnné údaje o zrazenej a odvedenej dani vyberanej zrážkou</div>
</div>
<xsl:if test="/OZN4313v17/SekciaAdresa2/SuhrneDatum/text()"><div><label class="labelVis">dátum: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./SuhrneDatum" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/SekciaAdresa2/SuhrneSuma/text()"><div><label class="labelVis">suma: </label><span class="contentVis wordwrap"><xsl:value-of select="./SuhrneSuma"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN4313v17/vypracoval">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">Vypracoval</div>
</div>
<xsl:for-each select="/OZN4313v17/vypracoval/vypracovalpomsek">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">vypracovalpomsek</div>
</div>
<xsl:if test="/OZN4313v17/vypracoval/vypracovalpomsek/vypracoval_osoba/text()"><div><label class="labelVis">Vypracoval: </label><span class="contentVis wordwrap"><xsl:value-of select="./vypracoval_osoba"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/vypracoval/vypracovalpomsek/vypracoval_datum/text()"><div><label class="labelVis">Dňa: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./vypracoval_datum" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN4313v17/vypracoval/vypracovalpomsek/vypracoval_telefon/text()"><div><label class="labelVis">Telefónne číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./vypracoval_telefon"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/OZN4313v17/vypracoval/vyhlasujempomsek/text()"><div><label class="labelVis">vyhlasujempomsek: </label><span class="contentVis wordwrap"><xsl:value-of select="./vyhlasujempomsek"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:if test="/OZN4313v17/Poznamky/text()"><div><label class="labelVis">Poznamky: </label><span class="contentVis wordwrap"><xsl:value-of select="./Poznamky"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

